/********************************************************************************
 *	text.h
 *
 *	Text Window Management Header
 *
 *	1989, Motorola Inc.  All rights reserved.
 ********************************************************************************/

#define _H_text


/* External Function Prototypes
 */
#ifdef PROTOTYPES
WindowPtr TextWindow (WORD windID, WORD top, WORD left, Boolean isActive);
void TextAdjust (WindowPtr theWindow);
void TextWindReset (WindowPtr theWindow);

void TextContent (WindowPtr theWindow, WORD theMods, Point thePoint);
void TextActivate (Boolean isActive, WindowPtr theWindow);
void TextUpdate (WindowPtr theWindow);
void TextPutText (BYTE *theText, LONG theLen, WindowPtr theWindow);

void TextDoScroll (WindowPtr theWindow, ControlHandle theControl, WORD thePart, Point thePoint);
pascal void TextScrollProc (ControlHandle theControl, WORD thePart);
void TextCalcScroll (WindowPtr theWindow);

void TextScroll (WORD dh, WORD dv, TEHandle teHdl);
void TextScrollTo (WORD h, WORD v, WindowPtr theWindow);
void TextSelView (WindowPtr theWindow);
#endif
